
extern "C" 
{

//------------------------------------------------------------------------------------
// irr::scene::IMeshLoader wrappers
//------------------------------------------------------------------------------------

	IAnimatedMesh* IrrScene_IMeshLoader_createMesh(IMeshLoader* ml,IReadFile* file)
	{
		if (ml)
			return ml->createMesh(file);
		else return 0;
	}
	
	bool IrrScene_IMeshLoader_isALoadableFileExtension(IMeshLoader* ml,const c8* filename)
	{
		if (ml)
			return ml->isALoadableFileExtension(filename);
		else return false;
	}

	bool IrrScene_IMeshLoader_drop(IMeshLoader* unk)
	{
		if (unk)
			return unk->drop();
		else return 0;
	}
	
	const c8* IrrScene_IMeshLoader_getDebugName(IMeshLoader* unk)
	{
		if (unk)
			return unk->getDebugName();
		else return "";
	}
	
	void IrrScene_IMeshLoader_grab(IMeshLoader* unk)
	{
		if (unk)
			unk->grab();
	}
	
}
